-2

Hi' I want to install some VM on my Debian but the install fails I tried with two .deb (my pc is x64 so I tried to install first the amd64 version)

  • virtualbox-5.2_5.2.0-118431-Debian-stretch_amd64.deb
  • virtualbox-5.2_5.2.0-118431-Debian-stretch_i386.deb

output:

~/Downloads$ sudo dpkg -i virtualbox-5.2_5.2.0-118431-Debian-stretch_amd64.deb
(Reading database ... 359023 files and directories currently installed.)
Preparing to unpack virtualbox-5.2_5.2.0-118431-Debian-stretch_amd64.deb ...
Unpacking virtualbox-5.2 (5.2.0-118431~Debian~stretch) over (5.2.0-118431~Debian~stretch) ...
dpkg: dependency problems prevent configuration of virtualbox-5.2:
 virtualbox-5.2 depends on libqt5core5a (>= 5.7.0).
 virtualbox-5.2 depends on libqt5gui5 (>= 5.4.0).
 virtualbox-5.2 depends on libqt5opengl5 (>= 5.0.2).
 virtualbox-5.2 depends on libqt5printsupport5 (>= 5.0.2).
 virtualbox-5.2 depends on libqt5widgets5 (>= 5.7.0).
 virtualbox-5.2 depends on libqt5x11extras5 (>= 5.6.0).

dpkg: error processing package virtualbox-5.2 (--install):
 dependency problems - leaving unconfigured
Processing triggers for systemd (232-25+deb9u1) ...
Processing triggers for gnome-menus (3.13.3-9) ...
Processing triggers for desktop-file-utils (0.23-1) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for hicolor-icon-theme (0.15-1) ...
Processing triggers for shared-mime-info (1.8-1) ...
Errors were encountered while processing:
 virtualbox-5.2

Can anyone help me?

6

To install virtualbox , run the following commands:

sudo nano /etc/apt/sources.list.d/virtualbox.list

add the following line:

Debian Stretch :

deb http://download.virtualbox.org/virtualbox/debian stretch contrib

Debian Buster ( use the bionic codename) :

deb http://download.virtualbox.org/virtualbox/debian bionic contrib

Then:

curl -O https://www.virtualbox.org/download/oracle_vbox_2016.asc
sudo apt-key add oracle_vbox_2016.asc
sudo apt update
sudo apt install virtualbox-6.0

Debian docs

3

You are having dependency issue. Run

# apt install -f

To fix dependencies

Or use apt directly

# apt install ./virtualbox-5.2_5.2.0-118431-Debian-stretch_amd64.deb

Which will fix dependency issues too.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.